Cyberduck Mountain Duck CLI

#2268 closed defect (fixed)

Uploads fail with digest access authentication

Reported by: deubeulyou@… Owned by: dkocher
Priority: normal Milestone: 3.1
Component: webdav Version: 3.0.1
Severity: normal Keywords:
Cc: Architecture:
Platform:

Description

I can browse allright, but when uploading a file, I get the following error at the end of the transfer: "unbuffered entity enclosing request can not be repeated".

Note that all kinds of file fail, even with small sizes, so this is probably not the same as #2144

Also, this error message appears

Server specs:

  • lighttpd and lighttpd mod_webdav 1.4.13-4etch8
  • SSL with certificate signed by custom CA
  • digest auth

I'll take advantage of reporting this to say thanks for this nice app !

Change History (13)

comment:1 Changed on Jul 2, 2008 at 9:24:14 PM by dkocher

  • Component changed from core to webdav
  • Status changed from new to assigned

comment:2 Changed on Jul 14, 2008 at 10:27:23 PM by dkocher

  • Summary changed from Webdav upload (to lighttpd/ssl/basic auth) fails to Upload (to lighttpd/ssl/basic auth) fails

#2144 looks like a duplicate.

comment:3 follow-up: Changed on Jul 15, 2008 at 6:59:31 PM by anonymous

Thanks for looking at this ! I can provide a test account on this server if necessary.

comment:4 in reply to: ↑ 3 Changed on Jul 17, 2008 at 10:36:08 PM by dkocher

Replying to anonymous:

Thanks for looking at this ! I can provide a test account on this server if necessary.

A test account would be very welcome.

comment:5 Changed on Jul 18, 2008 at 6:16:39 PM by dkocher

  • Summary changed from Upload (to lighttpd/ssl/basic auth) fails to Uploads fail with digest access authentication

comment:7 Changed on Jul 21, 2008 at 3:07:08 PM by dkocher

  • Milestone changed from 3.0.2 to 3.1

comment:8 Changed on Aug 23, 2008 at 1:28:20 PM by dkocher

#2492 is probably a duplicate.

comment:9 follow-up: Changed on Dec 10, 2008 at 1:34:48 PM by linda@…

We just had two customers report this error to us against our BingoDisk product. We have a demo account setup where you are able to test against. http://demo.bingodisk.com/bingo/ password bingo

comment:10 in reply to: ↑ 9 Changed on Dec 10, 2008 at 1:53:21 PM by dkocher

Replying to linda@…:

We just had two customers report this error to us against our BingoDisk product. We have a demo account setup where you are able to test against. http://demo.bingodisk.com/bingo/ password bingo

What is the username for this demo account?

comment:11 Changed on Dec 10, 2008 at 1:57:13 PM by linda@…

username is demo

comment:12 Changed on Dec 15, 2008 at 10:24:43 PM by dkocher

  • Milestone changed from 3.2 to 3.1
  • Resolution set to fixed
  • Status changed from assigned to closed

This has been resolved using the Use of the 100 (Continue) Status feature of HTTP 1.1. Before sending the entity request body, we check if the server accepts the authentication credentials and only continue if 100 Continue is returned. It looks like this running against Apache2:

PUT /dav/digest/DSC01446.JPG HTTP/1.1[\r][\n]
Content-Type: application/octet-stream[\r][\n]
User-Agent: Cyberduck/_VERSION_ (_REVISION_)[\r][\n]
Host: sudo.ch[\r][\n]
Expect: 100-continue[\r][\n]
Content-Length: 3061257[\r][\n]
[\r][\n]
HTTP/1.1 401 Authorization Required[\r][\n]
HTTP/1.1 401 Authorization Required[\r][\n]
Date: Mon, 15 Dec 2008 22:22:26 GMT[\r][\n]
Server: Apache/2.2.9 (FreeBSD) mod_ssl/2.2.9 OpenSSL/0.9.7e-p1 mod_python/3.3.1 Python/2.5.2 DAV/2 PHP/5.2.6 with Suhosin-Patch SVN/1.5.4[\r][\n]
WWW-Authenticate: Digest realm="DAV Access Digest", nonce="HqASRx1eBAA=dd9bc6679274a1d2f53bd30600ebdeb07b6b2207", algorithm=MD5, qop="auth"[\r][\n]
Content-Length: 581[\r][\n]
Content-Type: text/html; charset=iso-8859-1[\r][\n]
[\r][\n]
PUT /dav/digest/DSC01446.JPG HTTP/1.1[\r][\n]
Content-Type: application/octet-stream[\r][\n]
User-Agent: Cyberduck/_VERSION_ (_REVISION_)[\r][\n]
Expect: 100-continue[\r][\n]
Content-Length: 3061257[\r][\n]
Authorization: Digest username="dkocher", realm="DAV Access Digest", nonce="HqASRx1eBAA=dd9bc6679274a1d2f53bd30600ebdeb07b6b2207", uri="/dav/digest/DSC01446.JPG", response="44556a020fcf61f3cb1c5a2cf13f932b", qop=auth, nc=00000001, cnonce="ac25dbf481fd659a01a6965daf173268", algorithm="MD5"[\r][\n]
Host: sudo.ch[\r][\n]
[\r][\n]
HTTP/1.1 100 Continue[\r][\n]
HTTP/1.1 100 Continue[\r][\n]
[\r][\n]
HTTP/1.1 204 No Content[\r][\n]
HTTP/1.1 204 No Content[\r][\n]

comment:13 Changed on Dec 15, 2008 at 10:59:09 PM by dkocher

Fix commited in r4365.

Note: See TracTickets for help on using tickets.
swiss made software